commit:     724c385ac3c5a9332e1be789fb440126eb1cd545
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 28 05:34:52 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Jul 28 05:34:57 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=724c385a

net-analyzer/wireshark: add 3.6.7

Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-analyzer/wireshark/Manifest               |   1 +
 net-analyzer/wireshark/wireshark-3.6.7.ebuild | 269 ++++++++++++++++++++++++++
 2 files changed, 270 insertions(+)

diff --git a/net-analyzer/wireshark/Manifest b/net-analyzer/wireshark/Manifest
index 85502d80dcab..816d4f92d449 100644
--- a/net-analyzer/wireshark/Manifest
+++ b/net-analyzer/wireshark/Manifest
@@ -3,3 +3,4 @@ DIST wireshark-3.6.2.tar.xz 39654296 BLAKE2B 
585cf925892ec9d5b6413ccc53c49035eba
 DIST wireshark-3.6.3.tar.xz 39935892 BLAKE2B 
3b636867d946f0cf748eb719874e815c919ee9cedd21a7e9034d54b4cb87ae4a09ec02a199e1ec8051e421fe2929983d659f340ccfd12ab35e1ecd52000964fd
 SHA512 
4415216f791caee23757f3c754dd88ce8fd8eb8d2d64c1bd011b40c7451a1ef56cf41bcf1cdcf41221f196bf17be550f9271f05b82a017a02cac5c241785b7e6
 DIST wireshark-3.6.5.tar.xz 39939340 BLAKE2B 
4df1abce2563f20e91fac169ef1ab65851a5f63423aceba487db8cd4b954c4a2ba5673e032878b33a43992cb2ee4628899eee8b0065220cd0c79a8c98a589ef0
 SHA512 
9aa60721401fbd1f3c6b912312792433c9f8a09583cf684a4f1a24c839f4786a54a0abbfd88c04ba222e5a7af09f7bc67c292a0f944c9b717a71509655fe2fe5
 DIST wireshark-3.6.6.tar.xz 39950276 BLAKE2B 
cb74c4ed307b83ba509fa3b56356a33df11d9d1effb29054f73f248ca1c7107806676539d0802cc71e07687831a838145194104183afa4ae1825eb1fb85062b1
 SHA512 
c32d5aafb3091dc1475896a3c4cfcb5a47af002e53f011a65697271c611e690743153841f5db1021a6cbea6d427dc661dce7b85208832251200258fb46aad84b
+DIST wireshark-3.6.7.tar.xz 39967312 BLAKE2B 
0539130aec2c7d8fdfec536114144a0b761addb8006d146a5e08d0a58e95d5d6b0db67ef32ceae4143de9836f25a3497802706f0a0eb633f29e1f24a47819e4b
 SHA512 
caf087ee467bf934f28d096869ea3d9d7c5a3c83e51c4df447700096943a92abf5cf29f4956b9a549e0708bcb3515b55c4660a7ced2cb9dbc582b87550026fac

diff --git a/net-analyzer/wireshark/wireshark-3.6.7.ebuild 
b/net-analyzer/wireshark/wireshark-3.6.7.ebuild
new file mode 100644
index 000000000000..fffca9343012
--- /dev/null
+++ b/net-analyzer/wireshark/wireshark-3.6.7.ebuild
@@ -0,0 +1,269 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LUA_COMPAT=( lua5-{1..2} )
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit fcaps flag-o-matic lua-single python-any-r1 qmake-utils xdg cmake
+
+DESCRIPTION="A network protocol analyzer formerly known as ethereal"
+HOMEPAGE="https://www.wireshark.org/";
+
+if [[ ${PV} == *9999* ]] ; then
+       EGIT_REPO_URI="https://gitlab.com/wireshark/wireshark";
+       inherit git-r3
+else
+       
SRC_URI="https://www.wireshark.org/download/src/all-versions/${P/_/}.tar.xz";
+       S="${WORKDIR}/${P/_/}"
+
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc64 ~riscv ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0/${PV}"
+IUSE="androiddump bcg729 brotli +capinfos +captype ciscodump +dftest doc 
dpauxmon"
+IUSE+=" +dumpcap +editcap http2 ilbc kerberos libxml2 lto lua lz4 maxminddb"
+IUSE+=" +mergecap +minizip +netlink opus +plugins plugin-ifdemo +pcap +qt5 
+randpkt"
+IUSE+=" +randpktdump +reordercap sbc selinux +sharkd smi snappy spandsp 
sshdump ssl"
+IUSE+=" sdjournal test +text2pcap tfshark +tshark +udpdump zlib +zstd"
+
+REQUIRED_USE="lua? ( ${LUA_REQUIRED_USE} )
+       plugin-ifdemo? ( plugins )"
+
+RESTRICT="!test? ( test )"
+
+# bug #753062 for speexdsp
+RDEPEND="acct-group/pcap
+       >=dev-libs/glib-2.38:2
+       >=net-dns/c-ares-1.5:=
+       dev-libs/libgcrypt:=
+       media-libs/speexdsp
+       bcg729? ( media-libs/bcg729 )
+       brotli? ( app-arch/brotli:= )
+       ciscodump? ( >=net-libs/libssh-0.6 )
+       filecaps? ( sys-libs/libcap )
+       http2? ( net-libs/nghttp2:= )
+       ilbc? ( media-libs/libilbc )
+       kerberos? ( virtual/krb5 )
+       libxml2? ( dev-libs/libxml2 )
+       lua? ( ${LUA_DEPS} )
+       lz4? ( app-arch/lz4:= )
+       maxminddb? ( dev-libs/libmaxminddb:= )
+       minizip? ( sys-libs/zlib[minizip] )
+       netlink? ( dev-libs/libnl:3 )
+       opus? ( media-libs/opus )
+       pcap? ( net-libs/libpcap )
+       qt5? (
+               dev-qt/qtcore:5
+               dev-qt/qtgui:5
+               dev-qt/qtmultimedia:5
+               dev-qt/qtprintsupport:5
+               dev-qt/qtwidgets:5
+               x11-misc/xdg-utils
+       )
+       sbc? ( media-libs/sbc )
+       sdjournal? ( sys-apps/systemd )
+       smi? ( net-libs/libsmi )
+       snappy? ( app-arch/snappy )
+       spandsp? ( media-libs/spandsp )
+       sshdump? ( >=net-libs/libssh-0.6 )
+       ssl? ( net-libs/gnutls:= )
+       zlib? ( sys-libs/zlib )
+       zstd? ( app-arch/zstd:= )"
+DEPEND="${RDEPEND}"
+BDEPEND="${PYTHON_DEPS}
+       dev-lang/perl
+       sys-devel/flex
+       sys-devel/gettext
+       virtual/pkgconfig
+       doc? (
+               app-doc/doxygen
+               dev-ruby/asciidoctor
+       )
+       qt5? (
+               dev-qt/linguist-tools:5
+       )
+       test? (
+               $(python_gen_any_dep '
+                       dev-python/pytest[${PYTHON_USEDEP}]
+                       dev-python/pytest-xdist[${PYTHON_USEDEP}]
+               ')
+       )"
+RDEPEND="${RDEPEND}
+       qt5? ( virtual/freedesktop-icon-theme )
+       selinux? ( sec-policy/selinux-wireshark )"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-2.6.0-redhat.patch
+       "${FILESDIR}"/${PN}-3.4.2-cmake-lua-version.patch
+)
+
+python_check_deps() {
+       use test || return 0
+
+       python_has_version -b "dev-python/pytest[${PYTHON_USEDEP}]" &&
+                python_has_version -b 
"dev-python/pytest-xdist[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+       use lua && lua-single_pkg_setup
+
+       python-any-r1_pkg_setup
+}
+
+src_configure() {
+       local mycmakeargs
+
+       # Workaround bug #213705. If krb5-config --libs has -lcrypto then pass
+       # --with-ssl to ./configure. (Mimics code from acinclude.m4).
+       if use kerberos ; then
+               case $(krb5-config --libs) in
+                       *-lcrypto*)
+                               ewarn "Kerberos was built with ssl support: 
linkage with openssl is enabled."
+                               ewarn "Note there are annoying license 
incompatibilities between the OpenSSL"
+                               ewarn "license and the GPL, so do your check 
before distributing such package."
+                               mycmakeargs+=( -DENABLE_GNUTLS=$(usex ssl) )
+                               ;;
+               esac
+       fi
+
+       if use qt5 ; then
+               export QT_MIN_VERSION=5.3.0
+               append-cxxflags -fPIC -DPIC
+       fi
+
+       python_setup
+
+       mycmakeargs+=(
+               -DCMAKE_DISABLE_FIND_PACKAGE_{Asciidoctor,DOXYGEN}=$(usex !doc)
+               $(use androiddump && use pcap && echo 
-DEXTCAP_ANDROIDDUMP_LIBPCAP=yes)
+               $(usex qt5 LRELEASE=$(qt5_get_bindir)/lrelease '')
+               $(usex qt5 MOC=$(qt5_get_bindir)/moc '')
+               $(usex qt5 RCC=$(qt5_get_bindir)/rcc '')
+               $(usex qt5 UIC=$(qt5_get_bindir)/uic '')
+               -DBUILD_androiddump=$(usex androiddump)
+               -DBUILD_capinfos=$(usex capinfos)
+               -DBUILD_captype=$(usex captype)
+               -DBUILD_ciscodump=$(usex ciscodump)
+               -DBUILD_dftest=$(usex dftest)
+               -DBUILD_dpauxmon=$(usex dpauxmon)
+               -DBUILD_dumpcap=$(usex dumpcap)
+               -DBUILD_editcap=$(usex editcap)
+               -DBUILD_mergecap=$(usex mergecap)
+               -DBUILD_mmdbresolve=$(usex maxminddb)
+               -DBUILD_randpkt=$(usex randpkt)
+               -DBUILD_randpktdump=$(usex randpktdump)
+               -DBUILD_reordercap=$(usex reordercap)
+               -DBUILD_sdjournal=$(usex sdjournal)
+               -DBUILD_sharkd=$(usex sharkd)
+               -DBUILD_sshdump=$(usex sshdump)
+               -DBUILD_text2pcap=$(usex text2pcap)
+               -DBUILD_tfshark=$(usex tfshark)
+               -DBUILD_tshark=$(usex tshark)
+               -DBUILD_udpdump=$(usex udpdump)
+               -DBUILD_wireshark=$(usex qt5)
+               -DDISABLE_WERROR=ON
+               -DENABLE_BCG729=$(usex bcg729)
+               -DENABLE_BROTLI=$(usex brotli)
+               -DENABLE_CAP=$(usex filecaps caps)
+               -DENABLE_GNUTLS=$(usex ssl)
+               -DENABLE_ILBC=$(usex ilbc)
+               -DENABLE_KERBEROS=$(usex kerberos)
+               -DENABLE_LIBXML2=$(usex libxml2)
+               -DENABLE_LTO=$(usex lto)
+               -DENABLE_LUA=$(usex lua)
+               -DENABLE_LZ4=$(usex lz4)
+               -DENABLE_MINIZIP=$(usex minizip)
+               -DENABLE_NETLINK=$(usex netlink)
+               -DENABLE_NGHTTP2=$(usex http2)
+               -DENABLE_OPUS=$(usex opus)
+               -DENABLE_PCAP=$(usex pcap)
+               -DENABLE_PLUGINS=$(usex plugins)
+               -DENABLE_PLUGIN_IFDEMO=$(usex plugin-ifdemo)
+               -DENABLE_SBC=$(usex sbc)
+               -DENABLE_SMI=$(usex smi)
+               -DENABLE_SNAPPY=$(usex snappy)
+               -DENABLE_SPANDSP=$(usex spandsp)
+               -DENABLE_ZLIB=$(usex zlib)
+               -DENABLE_ZSTD=$(usex zstd)
+       )
+
+       cmake_src_configure
+}
+
+src_test() {
+       cmake_build test-programs
+
+       # https://www.wireshark.org/docs/wsdg_html_chunked/ChTestsRunPytest.html
+       epytest \
+               --disable-capture \
+               --skip-missing-programs=all \
+               --program-path "${BUILD_DIR}"/run
+}
+
+src_install() {
+       cmake_src_install
+
+       # FAQ is not required as is installed from help/faq.txt
+       dodoc AUTHORS ChangeLog NEWS README* doc/randpkt.txt doc/README*
+
+       # install headers
+       insinto /usr/include/wireshark
+       doins ws_diag_control.h ws_symbol_export.h \
+               "${BUILD_DIR}"/config.h
+
+       # If trying to remove this, try build e.g. libvirt first!
+       # At last check, Fedora is still doing this too.
+       local dir dirs=(
+               epan
+               epan/crypt
+               epan/dfilter
+               epan/dissectors
+               epan/ftypes
+               wiretap
+               wsutil
+               wsutil/wmem
+       )
+
+       for dir in "${dirs[@]}" ; do
+               insinto /usr/include/wireshark/${dir}
+               doins ${dir}/*.h
+       done
+
+       if use qt5 ; then
+               local s
+
+               for s in 16 32 48 64 128 256 512 1024 ; do
+                       insinto /usr/share/icons/hicolor/${s}x${s}/apps
+                       newins image/wsicon${s}.png wireshark.png
+               done
+
+               for s in 16 24 32 48 64 128 256 ; do
+                       insinto /usr/share/icons/hicolor/${s}x${s}/mimetypes
+                       newins image/WiresharkDoc-${s}.png 
application-vnd.tcpdump.pcap.png
+               done
+       fi
+
+       if [[ -d "${ED}"/usr/share/appdata ]] ; then
+               rm -r "${ED}"/usr/share/appdata || die
+       fi
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+
+       # Add group for users allowed to sniff.
+       chgrp pcap "${EROOT}"/usr/bin/dumpcap
+
+       if use dumpcap && use pcap ; then
+               fcaps -o 0 -g pcap -m 4710 -M 0710 \
+                       cap_dac_read_search,cap_net_raw,cap_net_admin \
+                       "${EROOT}"/usr/bin/dumpcap
+       fi
+
+       ewarn "NOTE: To capture traffic with wireshark as normal user you have 
to"
+       ewarn "add yourself to the pcap group. This security measure ensures"
+       ewarn "that only trusted users are allowed to sniff your traffic."
+}

Reply via email to